menger(6)

NAME
menger - 3D menger gasket fractal.

SYNOPSIS
menger [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-speed number] [-depth number] [-no-wander] [-no-spin] [-spin [XYZ]] [-wireframe] [-fps]

DESCRIPTION
This draws the three-dimensional variant of the recursive Menger Gasket, a cube-based fractal object analagous to the Sierpinski Tetrahedron.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-speed number
    Number of frames before changing shape. Default: 150.

-depth number
    Max depth to descend. Default: 3. You probably don't have enough memory for 6.

-wander | -no-wander
    Whether the object should wander around the screen.

-spin [XYZ]
    Around which axes should the object spin?

-no-spin
    None.

-wireframe
    Render in wireframe instead of solid.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.